package com.prolog.rdc.tms.dao.mapper;

import java.util.List;
import java.util.Map;

import com.prolog.rdc.tms.model.dto.LmsTmsZoneMinDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.prolog.framework.dao.mapper.BaseMapper;
import com.prolog.rdc.tms.model.dto.LmsTmsZoneDTO;
import com.prolog.rdc.tms.model.entity.LmsTmsZoneModel;
import com.prolog.rdc.tms.model.vo.LmsTmsZoneVO;

/**
 * 
 *
 * 行政区域 Mapper
 *
 * @className :LmsTmsZoneMapper
 * @author :fanzw
 * @creationTime :2020/07/03
 * @description :
 * @modifier :fanzw
 * @modifyTime :2020/07/03
 * @reviseRemarks:
 *
 * @version :1.0.0
 *
 */
@Mapper
public interface LmsTmsZoneMapper extends BaseMapper<LmsTmsZoneModel> {

	List<LmsTmsZoneModel> getZoneListByFatherid(@Param("zoneid") String zoneid);

	List<LmsTmsZoneDTO> getZoneByFatherid(@Param("fatherid") String fatherid);

	List<LmsTmsZoneModel> findList();

	LmsTmsZoneModel findByZoneid(@Param("zoneid") String zoneid);

	void insertZone(LmsTmsZoneModel lmsTmsZone);

	void updateZoneById(LmsTmsZoneVO lmsTmsZoneVo);

	// 批量查询省市区
	List<LmsTmsZoneModel> findByIdsLmsTmsZone(@Param(value = "zoneids") List<String> zoneids);

	List<LmsTmsZoneDTO> getZone(@Param("zname") String zname);

	List<Map<String, Object>> getDropDownList(@Param("zoneid") String zoneid);

	List<LmsTmsZoneModel> getZoneListByZname(@Param("zname") String zname, @Param("zlevel") String zlevel, @Param("fullname") String fullname);


	List<LmsTmsZoneDTO> getlProvinceZone(@Param("zlevel") Integer zlevel,@Param("fatherid") String fatherid);

	/**
	 * getAllZoneMin
	 * @return
	 */
	List<LmsTmsZoneMinDTO> getAllZoneMin();
}
